Bug 293051 - Need IPv4 equivalent of /proc/net/dev_snmp6
Need IPv4 equivalent of /proc/net/dev_snmp6
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks: 231191
  Show dependency treegraph
 
Reported: 2007-09-17 06:47 EDT by Jan Safranek
Modified: 2007-11-16 20:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 12:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2007-09-17 06:47:03 EDT
Description of problem:
/proc/net/dev_snmp6 contains various per-interface statistics about
incoming/outgoing ipv6 traffic. Net-snmp needs the same per-interface
statistics, but for ipv4 packets.
Comment 1 Neil Horman 2007-10-01 16:07:25 EDT
does /proc/net/dev not have what you're looking for?
Comment 2 Jan Safranek 2007-10-02 02:48:53 EDT
It seems to me /proc/dev/net contains statistics from link layer, i.e. ipv4 and
ipv6 are combined together, multicast means multicast on L2 (not ipv4 multicast)
etc. I need just ipv4 statistics.

In addition, net-snmp would need finer granularity of the statistics, e.g. split
'errors' column into 'TooBigErrors', 'InAddrErrors', 'InHdrErrors', split 'drop'
 by reason etc.
Comment 3 Neil Horman 2007-11-16 12:04:56 EST
I've looked at this, and I'm sorry, but we just can't do this in RHEL5.  We
can't add this in without breaking ABI. About the only thing that I can
reccomend for RHEL5 is to cobble the statstics together from teh output of
netstat -S <iface>

Note You need to log in before you can comment on or make changes to this bug.